terraform {
  backend "http" { 
      address = "http://myrest.api.com/foo" 
  } 
  required_providers {
    gitlab = {
      source = "gitlabhq/gitlab"
      version = "3.13.0"
    }
  }
}
data "terraform_remote_state" "foo" {
  backend = "http"
  config = {
    address = "http://my.rest.api.com"
  }
}

variable "gitlab_access_token" {
    type = string
}

provider "gitlab" {
  token = var.gitlab_access_token
}

data "gitlab_project" "terraform-cicd" {
  id = 3407
}

resource "gitlab_project_variable" "sample_project" {
  project   = data.gitlab_project.terraform-cicd.id
  key       = "example_variable"
  value     = "Greetings Bilal!"
  protected = false
}
